"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var app_service_1 = require('../app.service');
var IndicatorChartComponent = (function () {
    function IndicatorChartComponent(_appService) {
        this._appService = _appService;
        this.stocks = [];
    }
    IndicatorChartComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.desiredHeight = 0.18 * (window.screen.height) + "px";
        this._appService.getStocks()
            .subscribe(function (stocks) { return _this.stocks = stocks; }, function (error) { return _this.errorMessage = error; });
        this.chartOptions = this.getIndicatorChartOptions();
    };
    IndicatorChartComponent.prototype.getIndicatorChartOptions = function () {
        return {
            axes: this.getIndicatorChartAxes(),
            series: this.getIndicatorChartSeries(),
            windowResponse: "deferred",
            horizontalZoomable: true,
            width: "100%",
            height: this.desiredHeight,
            leftMargin: 0,
            rightMargin: 30,
            windowRectMinWidth: 0.05,
            syncChannel: "channel1",
            synchronizeVertically: false,
            syncrhonizeHorizontally: false
        };
    };
    IndicatorChartComponent.prototype.getIndicatorChartSeries = function () {
        return [
            {
                name: "indicatorSeries",
                type: "moneyFlowIndexIndicator",
                isHighlightingEnabled: true,
                isTransitionInEnabled: true,
                xAxis: "xAxis",
                yAxis: "yAxis",
                volumeMemberPath: "Volume",
                closeMemberPath: "Close",
                highMemberPath: "High",
                lowMemberPath: "Low",
                resolution: 10
            }
        ];
    };
    IndicatorChartComponent.prototype.getIndicatorChartAxes = function () {
        return [
            {
                name: "xAxis",
                type: "categoryX",
                label: "Date",
                maximumValue: 1,
                minimumValue: 0
            },
            {
                name: "yAxis",
                type: "numericY",
                labelLocation: "outsideRight",
                majorStroke: "rgba(153,153,153,0.1)",
                labelExtent: 40
            }
        ];
    };
    IndicatorChartComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'indicatorchart',
            templateUrl: 'indicatorchart.component.html'
        }), 
        __metadata('design:paramtypes', [app_service_1.AppService])
    ], IndicatorChartComponent);
    return IndicatorChartComponent;
}());
exports.IndicatorChartComponent = IndicatorChartComponent;
//# sourceMappingURL=indicatorchart.component.js.map